guix-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[bug#40601] [PATCH 19/28] Remove &> and >& bashisms


From: Vincent Legoll
Subject: [bug#40601] [PATCH 19/28] Remove &> and >& bashisms
Date: Sun, 17 May 2020 19:17:16 +0200

---
 etc/guix-install.sh | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 596ceb5b39..5b82999bc5 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -94,7 +94,7 @@ chk_require()
     _debug "--- [ $FUNCNAME ] ---"
 
     for c in "$@"; do
-        command -v "$c" &>/dev/null || warn+=("$c")
+        command -v "$c" >/dev/null 2>&1 || warn+=("$c")
     done
 
     [ "${#warn}" -ne 0 ] &&
@@ -278,7 +278,7 @@ sys_create_store()
 
     # Do not use the --warning option with busybox tar
     TAROPTS=("-C" "${tmp_path}")
-    if tar c --warning=no-timestamp -f /dev/null /dev/null >&/dev/null; then
+    if tar c --warning=no-timestamp -f /dev/null /dev/null >/dev/null 2>&1; 
then
         TAROPTS+=("--warning=no-timestamp")
     fi
 
@@ -311,10 +311,10 @@ sys_create_build_group()
 
     if getent group guixbuild >/dev/null 2>&1; then
         _msg "${INF}group guixbuild already exists"
-    elif command -v groupadd &>/dev/null; then
+    elif command -v groupadd >/dev/null 2>&1; then
         groupadd --system guixbuild
         _msg "${PAS}group <guixbuild> created"
-    elif command -v addgroup &>/dev/null; then
+    elif command -v addgroup >/dev/null 2>&1; then
         addgroup -S guixbuild
         _msg "${PAS}group <guixbuild> created"
     else
@@ -331,7 +331,7 @@ sys_create_build_user()
     NOLOGIN_SHELL="$(command -v nologin)"
     for i in $(seq -w 1 10); do
         if getent passwd "guixbuilder${i}" >/dev/null 2>&1; then
-            if command -v usermod &>/dev/null; then
+            if command -v usermod >/dev/null 2>&1; then
                 _msg "${INF}user is already in the system, resetting"
                 usermod -g guixbuild -G guixbuild           \
                         -d /var/empty -s "${NOLOGIN_SHELL}" \
@@ -341,13 +341,13 @@ sys_create_build_user()
                 _msg "${ERR}cannot reset user environment, doing nothing"
             fi
         else
-            if command -v useradd &>/dev/null; then
+            if command -v useradd >/dev/null 2>&1; then
                 useradd -g guixbuild -G guixbuild           \
                         -d /var/empty -s "${NOLOGIN_SHELL}" \
                         -c "Guix build user $i" --system    \
                         "guixbuilder${i}"
                 _msg "${PAS}user added <guixbuilder${i}>"
-            elif command -v adduser &>/dev/null; then
+            elif command -v adduser >/dev/null 2>&1; then
                 adduser -G guixbuild -h /var/empty -s "${NOLOGIN_SHELL}" \
                         -H -S "guixbuilder${i}"
                 _msg "${PAS}user added <guixbuilder${i}>"
-- 
2.26.2






reply via email to

[Prev in Thread] Current Thread [Next in Thread]